[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TCustomXMLPropStorage.DoReadString

Implements reading of a value from the underlying storage container.

## Declaration

Source position: xmlpropstorage.pas line 52

`public function TCustomXMLPropStorage.DoReadString(`
`const Section: string;`
`const Ident: string;`
`const TheDefault: string`
`):string; override;`

## Arguments

`Section` |  | The section to be read.
`Ident` |  | The ident to be read.
`TheDefault` |  | If no value is available then return this as the default value.

## Function result

The value of the section/ident requested.